$ErrorActionPreference = 'Stop'

$toolsDir = Split-Path $MyInvocation.MyCommand.Definition

$silentArgs = @('/sp- /silent /norestart')

$packageArgs = @{
  packageName    = 'choosenim'
  fileType       = 'exe'
  file64         = "$toolsDir\choosenim-0.8.2-amd64-setup.exe"
  checksum       = '996E05250FB589A994349DF0EBAD73DD471B2A1A1B3797BCF6AE35FEF6161396'
  checksumType   = 'sha256'
  silentArgs     = $silentArgs
  validExitCodes = @(0)
}

Install-ChocolateyInstallPackage @packageArgs


